= How do I use Nexus with my Maven project? =
[[TOC(heading=How do I...?,depth=1,HowTo/*)]]

Maven handles downloading required third-party libraries for your project (i.e., dependencies). Rather than every 
developer on your team having to download the same libraries from the same remote repository, 
[http://nexus.sonatype.org/ Sonatype Nexus] provides a local repository for remote and locally-developed artifacts.

== For Maven projects ==

To make sure Maven downloads all of your dependencies through Nexus rather than through the Internet, configure your 
local machine to point to Nexus as a mirror.

Here is a sample `.m2/settings.xml` file using a local Nexus repository. On Windows, the `.m2` directory will be 
under `C:\Documents and Settings\`''user'' (`C:\Users\`''user'' on Vista). On Linux, the `.m2` directory will be in the 
user's home directory. 

{{{
#!text/xml
<settings>
  <mirrors>
    <mirror>
      <id>nexus</id>
      <mirrorOf>*</mirrorOf>
      <url>https://XXX.XXX.XXX.XXX/nexus/content/groups/public</url>
    </mirror>
  </mirrors>
  <profiles>
    <profile>
      <id>development</id>
      <repositories>
        <repository>
          <id>central</id>
          <url>http://central</url>
          <releases><enabled>true</enabled></releases>
          <snapshots><enabled>true</enabled></snapshots>
        </repository>
      </repositories>
     <pluginRepositories>
        <pluginRepository>
          <id>central</id>
          <url>http://central</url>
          <releases><enabled>true</enabled></releases>
          <snapshots><enabled>true</enabled></snapshots>
        </pluginRepository>
      </pluginRepositories>
    </profile>
  </profiles>
  <activeProfiles>
    <!--make the profile active all the time -->
    <activeProfile>development</activeProfile>
  </activeProfiles>
</settings>
}}}

where `XXX.XXX.XXX.XXX` is the IP address or hostname of SecureCI™.

== For Ant builds ==

Nexus is intended for use with Maven projects, not Ant builds. However, users of 
[http://ant.apache.org/ivy Apache Ivy] may be able to use Nexus as a `resolver`.

=== More information ===

 * [//nexus/ Nexus administration]
 * [http://www.sonatype.com/books/nexus-book/reference/maven.html Configuring Maven to Use Nexus]
 * [http://maven.apache.org/settings.html Maven settings reference]

<%= node['trac']['wiki']['footer'] %>